<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', 'IndexController@index')->name('index');
Route::get('/topic/{topic}', 'IndexController@topic')->name('topic')->where('topic', '(.+)');
Route::get('/topics/', 'IndexController@topicindex')->name('topic_index');
Route::get('/topic/', function() { return redirect()->route('topic_index'); })->name('topic_redir');
Route::get('/new', 'IndexController@new')->name('new');
Route::get('/search', 'IndexController@search')->name('search');
Route::get('/popular/topics', 'IndexController@populartopics')->name('popular_topics');
Route::get('/popular', 'IndexController@popular')->name('popular');
Route::get('/random', 'IndexController@random')->name('random');
Route::get('/article/{id}', 'IndexController@show')->name('show')->where('id', '[0-9]+');

Route::get('/feed/new', 'FeedController@new')->name('feed_new');
Route::get('/feed/mastodon', 'FeedController@mastodon')->name('feed_mastodon');
Route::get('/feed/mastodon_test', 'FeedController@mastodon_test')->name('feed_mastodon_test');
Route::get('/feed/popular', 'FeedController@popular')->name('feed_popular');
Route::get('/feed/search', 'FeedController@search')->name('feed_search');

#Auth::routes();

Route::get('/cinema', 'CinemaController@cinema')->name('cinema.index');
Route::get('/cinema/movie/{imdb_id}', 'CinemaController@show')->name('cinema.show');
Route::get('/cinema/search', 'CinemaController@search')->name('cinema.search');
Route::get('/genres', 'CinemaController@genres')->name('cinema.genres');
Route::get('/genres/{genre}', 'CinemaController@genre')->name('cinema.genre')->where('genre', '(.+)');
Route::get('/about', 'IndexController@about')->name('about');
